Subject: RE: [Simple] event-list

From: [email-masked]
Date: Fri, 21 May 2004 15:31:20 +0200

The motivation is the following use case:

Bob sends out a SUBSCRIBE to its buddy list and wants the RLS to apply (or request) 'user' privacy for the SUBSCRIBE sent out to the first recipient in the list, 'id' privacy for the SUBSCRIBE sent out to the second recipient in the list, 'header' and 'id' privacy for the SUBSCRIBE sent out to the third recipient in the list, etc.

Bob should not send out the original SUBSCRIBE request with privacy: id, as that could get rejected by the authorisation policies, as you suggested.

I think this requirement is not resource list specific but applicable to all kind of exploders. If the privacy request is done using XML body, as I proposed, then it will remain generic. I also acknowledge that another solution is that each entry in the list could have a (statically) configurable parameter telling to the RLS what kind of privacy should be requested when sending the SUBSCRIBE to a specific recipient, parameter manageable with XCAP. But this solution makes it resource list specific.

This requirement comes from 3gpp as privacy is by inheritance important in the mobile world. But I do not think this is 3gpp specific requirement.

/Gabor

-----Original Message-----
From: ext Jonathan Rosenberg [mailto:[email-masked]]
Sent: Thursday, May 20, 2004 8:35 PM
To: Bajko Gabor (Nokia-NET/Budapest)
Cc: [email-masked]; Kiss Krisztian (Nokia-MP/SanDiego)
Subject: Re: [Simple] event-list

What is the motivation for this? I don't understand why its needed.

Firstly, when P-asserted-ID is being used along with a network-based 
presence serevr (for example in a 3gpp network), the presence server 
remains within the trusted network, and will see the user identity 
anyway, even if privacy is requested.

If its not true (not in a trusted network or a UA-based presence server 
where the identity was removed), the subscription will be anonymous, and 
in all likelihood, rejected by most sensible authorization policies anyway.

Thanks,
Jonathan R.

[email-masked] wrote:

> Hello,
> 
> There has been a requirement recently identified by 3gpp for subscribers subscribing to list of resources: when such a subscription is made, it should be possible to carry an indication (e.g. in the body of the request) to the RLS indicating to the RLS whether it should apply privacy to the requests it generates or not.
> 
> One possible solution would be to carry an XML body in the SUBSCRIBE request, e.g.:
> 
>  <?xml version="1.0" encoding="UTF-8"?>
>         <xmlns="urn:ietf:params:xml:ns:rls-privacy"
>             <privacy id="true" header="true" uri="sip:[email-masked]">
>             </privacy>
>             <privacy id="true" uri="sip:[email-masked]">
> 		</privacy>
> which tells to the RLS that when the subscription towards sip:[email-masked] is made, 'id' and 'header' type privacies should be applied.
> 
> A possible XML schema is presented below (with a new namespace):
> 
> ?xml version="1.0" encoding="UTF-8"?>
>    <xs:schema targetNamespace="urn:ietf:params:xml:ns:rls-privacy"
>       xmlns:tns="urn:ietf:params:xml:ns:rls-privacy"        xmlns:xs="http://www.w3.org/2001/XMLSchema"
>         elementFormDefault="qualified"
>         attributeFormDefault="unqualified">
>    	<!-- This import brings in the XML language attribute xml:lang-->
>    	<xs:import namespace="http://www.w3.org/XML/1998/namespace"
>    	 schemaLocation="http://www.w3.org/2001/xml.xsd"/>
> 
> 	  	<xs:element name="privacy" type="tns:privacy"/>
> 
>   		   <xs:complexType name="privacy">
>       		 <xs:sequence>
> 		    	 <xs:element name="id" type="xs:boolean" default="0" minOccurs="0"/>
> 			     <xs:element name="user" type="xs:boolean" default="0" minOccurs="0"/>
> 			     <xs:element name="header" type="xs:boolean" default="0" minOccurs="0"/>
> 			     <xs:element name="session" type="xs:boolean" default="0" minOccurs="0"/>
> 		    	 <xs:element name="critical" type="xs:boolean" default="0" minOccurs="0"/>
> 	         </xs:sequence>
>     	   </xs:complexType>
>     </xs:schema>
> 
> There are two questions around this:
> Is this community interested in such a feature?
> If yes, would it be possible to include it into the event-list draft? 3gpp preference would be to have it there, as the 3gpp deadlines could be met in this case. 
> 
> Any opinion?
> 
> /Gabor
> 
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
> 

-- 
Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
Chief Technology Officer                    Parsippany, NJ 07054-2711
dynamicsoft
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple